#!/bin/csh -f
# WIDE AREA INFORMATION SERVER SOFTWARE:
#   No guarantees or restrictions.  See the readme file for the full standard
#   disclaimer.	
#
# Script to set X App defaults path for xwais.
# 
# $Log:	xwais,v $
# Revision 1.11  92/03/17  14:57:25  jonathan
# Changed XUSERFILESEARCHPATH back to XAPPLRESDIR.
# 
# Revision 1.10  92/03/01  16:37:38  jonathan
# removed ; do.
# 
# Revision 1.9  92/02/18  13:05:05  jonathan
# removed \".
# 
# 
# Revision 1.8  92/02/17  17:33:41  jonathan
# Renamed program to ../x/xwais for new makefile (Imakefile)
#
set program=../x/xwais

#set my_dir=`dirname $0`
set my_dir=`echo $0 | sed 's,/[^/][^/]*$,,'`

set my_name=`basename $0`
# if run from the path, look for it:
if ($my_dir == "") then
  foreach dir ($path)
    if (-f $dir/$my_name) then
      set my_dir=$dir
    endif
  done
endif
# Now do it:
set path=($my_dir $path)
if ($?XAPPLRESDIR) then
   setenv XAPPLRESDIR \
   ${XAPPLRESDIR}:$my_dir/../x
else
   setenv XAPPLRESDIR $my_dir/../x
endif
$my_dir/$program $*
